org.codehaus.groovy.runtime.typehandling

## Class FloatingPointMath

- java.lang.Object
- - org.codehaus.groovy.runtime.typehandling.NumberMath
  - - org.codehaus.groovy.runtime.typehandling.FloatingPointMath

-     public final class FloatingPointMath
      extends NumberMath

  FloatingPoint (Double and Float) NumberMath operations

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FloatingPointMath` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Number` | `absImpl(java.lang.Number number)`
    `java.lang.Number` | `addImpl(java.lang.Number left, java.lang.Number right)`
    `int` | `compareToImpl(java.lang.Number left, java.lang.Number right)`
    `java.lang.Number` | `divideImpl(java.lang.Number left, java.lang.Number right)`
    `protected java.lang.Number` | `modImpl(java.lang.Number left, java.lang.Number right)`
    `java.lang.Number` | `multiplyImpl(java.lang.Number left, java.lang.Number right)`
    `java.lang.Number` | `subtractImpl(java.lang.Number left, java.lang.Number right)`
    `protected java.lang.Number` | `unaryMinusImpl(java.lang.Number left)`
    `protected java.lang.Number` | `unaryPlusImpl(java.lang.Number left)`

    - ### Methods inherited from class org.codehaus.groovy.runtime.typehandling.NumberMath

      `abs, add, and, andImpl, bitwiseNegate, bitwiseNegateImpl, compareTo, createUnsupportedException, divide, getMath, intdiv, intdivImpl, isBigDecimal, isBigInteger, isByte, isFloatingPoint, isInteger, isLong, isShort, leftShift, leftShiftImpl, mod, multiply, or, orImpl, rightShift, rightShiftImpl, rightShiftUnsigned, rightShiftUnsignedImpl, subtract, toBigDecimal, toBigInteger, unaryMinus, unaryPlus, xor, xorImpl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final FloatingPointMath INSTANCE

  - ### Method Detail

    - #### absImpl

          protected java.lang.Number absImpl(java.lang.Number number)

      Specified by:
        `absImpl` in class `NumberMath`

    - #### addImpl

          public java.lang.Number addImpl(java.lang.Number left,
                                          java.lang.Number right)

      Specified by:
        `addImpl` in class `NumberMath`

    - #### subtractImpl

          public java.lang.Number subtractImpl(java.lang.Number left,
                                               java.lang.Number right)

      Specified by:
        `subtractImpl` in class `NumberMath`

    - #### multiplyImpl

          public java.lang.Number multiplyImpl(java.lang.Number left,
                                               java.lang.Number right)

      Specified by:
        `multiplyImpl` in class `NumberMath`

    - #### divideImpl

          public java.lang.Number divideImpl(java.lang.Number left,
                                             java.lang.Number right)

      Specified by:
        `divideImpl` in class `NumberMath`

    - #### compareToImpl

          public int compareToImpl(java.lang.Number left,
                                   java.lang.Number right)

      Specified by:
        `compareToImpl` in class `NumberMath`

    - #### modImpl

          protected java.lang.Number modImpl(java.lang.Number left,
                                             java.lang.Number right)

      Overrides:
        `modImpl` in class `NumberMath`

    - #### unaryMinusImpl

          protected java.lang.Number unaryMinusImpl(java.lang.Number left)

      Specified by:
        `unaryMinusImpl` in class `NumberMath`

    - #### unaryPlusImpl

          protected java.lang.Number unaryPlusImpl(java.lang.Number left)

      Specified by:
        `unaryPlusImpl` in class `NumberMath`